Bug 1760461 (CVE-2018-16227)

Summary: CVE-2018-16227 tcpdump: Buffer over-read in print-802_11.c
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: luhliari, mlichvar, mruprich, msehnout, msekleta, thozza
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: tcpdump 4.9.3 Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds read vulnerability was discovered in tcpdump while printing IEEE 802.11 packets captured in a pcap file or coming from the network. A remote attacker may abuse this flaw by sending specially crafted packets that, when printed, would trigger the flaw and crash the application.
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-11-04 02:22:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1760626, 1791712, 1791713    
Bug Blocks: 1760628    

Description Pedro Sampaio 2019-10-10 15:14:02 UTC
The IEEE 802.11 parser in tcpdump before 4.9.3 has a buffer over-read in print-802_11.c for the Mesh Flags subfield.

Upstream patch:

https://github.com/the-tcpdump-group/tcpdump/commit/4846b3c5d0a850e860baf4f07340495d29837d09

References:

https://github.com/the-tcpdump-group/tcpdump/blob/tcpdump-4.9/CHANGES

Comment 1 Pedro Sampaio 2019-10-11 00:02:08 UTC
Created tcpdump tracking bugs for this issue:

Affects: fedora-all [bug 1760626]

Comment 4 Product Security DevOps Team 2020-11-04 02:22:04 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-16227

Comment 5 errata-xmlrpc 2020-11-04 03:40:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4760 https://access.redhat.com/errata/RHSA-2020:4760